﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

namespace DockingWPF
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

        private void LoadLayoutFromString()
        {
            using (Stream stream = new FileStream(@"C:\Users\gocheva\Documents\Visual Studio 2010\Projects\DockingWPF\DockingWPF\test.xml", FileMode.Open))
            {
                stream.Seek(0, SeekOrigin.Begin);
                this.Docking.LoadLayout(stream);
            }
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.LoadLayoutFromString();
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            var path = @"C:\Users\gocheva\Documents\Visual Studio 2010\Projects\DockingWPF\DockingWPF\test.xml";
            using (FileStream fs = File.OpenWrite(path))
            {
                Byte[] info =
                    new UTF8Encoding(true).GetBytes(this.SaveLayoutAsString());

                fs.Write(info, 0, info.Length);
            }
        }

        private string SaveLayoutAsString()
        {
            MemoryStream stream = new MemoryStream();
            this.Docking.SaveLayout(stream);

            stream.Seek(0, SeekOrigin.Begin);

            StreamReader reader = new StreamReader(stream);
            return reader.ReadToEnd();
        }


	}
}
